> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rails.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Open Orders

> This endpoint retrieves the account open orders.



## OpenAPI

````yaml GET /api/v1/open-orders
openapi: 3.1.0
info:
  title: User Account API
  version: 1.0.0
servers:
  - url: https://user-account.sandbox.rails.xyz
security: []
paths:
  /api/v1/open-orders:
    get:
      summary: Get Account Open Orders
      operationId: getAccountOpenOrders
      parameters:
        - $ref: '#/components/parameters/market'
        - $ref: '#/components/parameters/start'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/openOrdersResponse'
              example:
                openOrders:
                  - market: BTC-USDT
                    orderId: 01HZ36SYBP4Z80GRX30P49XHB6
                    orderType: buy
                    tradeType: limit
                    price: '65000'
                    quantity: '0.5'
                    filledQuantity: '0.5'
                    leverage: '1'
                    createdAt: 1717020981622
                    updatedAt: 1717020982756
                    orderStatus: active
                    clientRequestId: 0835bf3e-4a20-41f0-908d-8213f2b7a285
                    reduceOnly: false
                    postOnly: false
                    avgFillPrice: '65000'
                  - market: ETH-USDT
                    orderId: 01HZ36SYBP4Z80GRX30P49XHB5
                    orderType: sell
                    tradeType: limit
                    price: '3772.272138'
                    quantity: '1'
                    filledQuantity: '0.5'
                    leverage: '1'
                    createdAt: 1717020981622
                    updatedAt: 1717020982756
                    orderStatus: active
                    clientRequestId: 0835bf3e-4a20-41f0-908d-8213f2b7a285
                    reduceOnly: false
                    postOnly: false
                    avgFillPrice: '3772.272138'
                last: >-
                  ETH-USDT#01HYXJVRCTDXQSTKZ17ND2SBJH#c3029869-2609-4a0d-8d9b-b030550add28
        '401':
          $ref: '#/components/responses/Unauthorized'
      security:
        - bearerAuth: []
components:
  parameters:
    market:
      name: market
      in: query
      description: >-
        Market name. Example value: `ETH-USDT`. To get all supported markets,
        call [/api/v1/markets](/latest/perps/rest-api/get-supported-markets)
        endpoint. Omit this parameter to get results across all markets.
      required: false
      schema:
        type: string
    start:
      name: start
      in: query
      required: false
      description: >-
        This is a parameter to support pagination. Get the value from the `last`
        field if present in the previous response.
      schema:
        type: string
  schemas:
    openOrdersResponse:
      type: object
      properties:
        openOrders:
          type: array
          description: List of open orders for the account.
          items:
            $ref: '#/components/schemas/openOrder'
        last:
          $ref: '#/components/schemas/last'
      required:
        - openOrders
    openOrder:
      type: object
      properties:
        market:
          type: string
          description: >-
            Market name. Example value: `ETH-USDT`. To get all supported
            markets, call
            [/api/v1/markets](/latest/perps/rest-api/get-supported-markets)
            endpoint.
        orderId:
          type: string
          description: Unique identifier for the order.
        orderType:
          type: string
          enum:
            - buy
            - sell
          description: Order side.
        tradeType:
          type: string
          enum:
            - limit
            - market
          description: Order type.
        price:
          type: string
          description: Price used.
        quantity:
          type: string
          description: Remaining quantity.
        filledQuantity:
          type: string
          description: Filled quantity.
        leverage:
          type: string
          description: Leverage used at order creation.
        createdAt:
          type: number
          description: Order creation timestamp (milliseconds since epoch).
        updatedAt:
          type: number
          description: Order last update timestamp (milliseconds since epoch).
        orderStatus:
          type: string
          enum:
            - active
            - pending
            - cancelling
            - modifying
          description: Current status of the order.
        clientRequestId:
          type: string
          description: Client-generated UUID for correlation.
        reduceOnly:
          type: boolean
          description: >-
            Reduce-only flag. When `true`, the order can only reduce an existing
            position.
        postOnly:
          type: boolean
          description: Maker-only creation flag.
        avgFillPrice:
          type: string
          description: Average price across fills.
      required:
        - market
        - orderId
        - orderType
        - tradeType
        - price
        - quantity
        - filledQuantity
        - leverage
        - createdAt
        - updatedAt
        - orderStatus
        - reduceOnly
        - postOnly
    last:
      type: string
      description: >-
        This is a field in the response to support pagination. Use this value if
        present for the `start` parameter of the following request to get the
        next page of results.
  responses:
    Unauthorized:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: A human-readable message describing the error.
            required:
              - message
          example:
            message: Unauthorized
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````